Subject: Re: powerpc with gigabit card hanging

From: Matt Porter <[email-masked]>
Date: Tue, 28 Sep 2004 00:01:24 -0700

On Tue, Sep 28, 2004 at 01:45:27AM -0500, Segher Boessenkool wrote:
> >> Sure.  But the interrupt _assignment_ should be done by firmware.
> >
> > I can't argue with ideaology.
> 
> It's not ideology; it's what the PCI spec says.
> 
> >> p.s.  And I know this isn't always practically possible; but why
> >> then support a product like that at all, in the Open Source
> >> community?
> >
> > By this reasoning, we should also not support the many BIOS/OF
> > platforms that report incorrect data and have to have their
> > reported data fixed up by the kernel. That's gross too by the
> > same measure.
> 
> There is a difference between patching some errors and doing
> all the work yourself.

I see your point of view and disagree.

> But hey, let not me stop you from doing this.
 
Don't worry, you won't. :)

-Matt